package com.loafle.overflow.service.central.meta;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaInputType;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
public interface MetaInputTypeService {
  @WebappAPI
  MetaInputType regist(MetaInputType metaInputType) throws OverflowException;

  @WebappAPI
  MetaInputType readByKey(String key) throws OverflowException;

  @WebappAPI
  List<MetaInputType> readAll() throws OverflowException;
}
